RSAPrivateCrtKeySpec
Date: 2016-06-24

java.security.spec

## Class RSAPrivateCrtKeySpec

- java.lang.Object
- - java.security.spec.RSAPrivateKeySpec
  - - java.security.spec.RSAPrivateCrtKeySpec

- All Implemented Interfaces:
    KeySpec

      public class RSAPrivateCrtKeySpec
      extends RSAPrivateKeySpec

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAPrivateCrtKeySpec(BigInteger var0, BigInteger var1, BigInteger var2, BigInteger var3, BigInteger var4, BigInteger var5, BigInteger var6, BigInteger var7)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getCrtCoefficient()`
    `BigInteger` | `getPrimeExponentP()`
    `BigInteger` | `getPrimeExponentQ()`
    `BigInteger` | `getPrimeP()`
    `BigInteger` | `getPrimeQ()`
    `BigInteger` | `getPublicExponent()`

    - ### Methods inherited from class java.security.spec.RSAPrivateKeySpec

      `getModulus, getPrivateExponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAPrivateCrtKeySpec

          public RSAPrivateCrtKeySpec(BigInteger var0,
                              BigInteger var1,
                              BigInteger var2,
                              BigInteger var3,
                              BigInteger var4,
                              BigInteger var5,
                              BigInteger var6,
                              BigInteger var7)

  - ### Method Detail

    - #### getCrtCoefficient

          public BigInteger getCrtCoefficient()

    - #### getPrimeExponentP

          public BigInteger getPrimeExponentP()

    - #### getPrimeExponentQ

          public BigInteger getPrimeExponentQ()

    - #### getPrimeP

          public BigInteger getPrimeP()

    - #### getPrimeQ

          public BigInteger getPrimeQ()

    - #### getPublicExponent

          public BigInteger getPublicExponent()